tapestry-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (TAP5-2556) Upgrade Hibernate to 5.1 for T5.5
Date Fri, 15 Jul 2016 22:32:20 GMT

    [ https://issues.apache.org/jira/browse/TAP5-2556?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15380237#comment-15380237
] 

ASF subversion and git services commented on TAP5-2556:
-------------------------------------------------------

Commit bc0b1757e6e43b7e48545794b91dea0b88a32c68 in tapestry-5's branch refs/heads/master from
kaosko
[ https://git-wip-us.apache.org/repos/asf?p=tapestry-5.git;h=bc0b175 ]

TAP5-2556: Upgrade Hibernate to 5.1 for T5.5

- I ran into issues trying to update to 5.2. class metadata is not
anymore available (see
http://stackoverflow.com/questions/32780664/hibernate-migration-from-4-3-x-to-5-x-for-method-org-hibernate-cfg-configuration)
in Configuration, but a bigger issue was 5.2 collides with Tapestry's
own bytecode manipulation
- update Hibernate to 5.1 which works without additional changes


> Upgrade Hibernate to 5.1 for T5.5
> ---------------------------------
>
>                 Key: TAP5-2556
>                 URL: https://issues.apache.org/jira/browse/TAP5-2556
>             Project: Tapestry 5
>          Issue Type: Dependency upgrade
>          Components: tapestry-hibernate
>            Reporter: Kalle Korhonen
>            Assignee: Kalle Korhonen
>             Fix For: 5.5.0
>
>
> Hibernate 5.1 is Java 8 only. There are issues upgrading to 5.2. Basically I gave up
and upgraded to 5.1 because that worked without additional changes.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message